
minetest.register_on_dieplayer(
	function(player, reason)
		if reason.node ~= nil and minetest.get_node_group(reason.node, "corrosive") > 0 then
			minetest.sound_play(
				"acid_death",
				{to_player = player:get_player_name(), pitch = 0.3, gain = 0.8}
			)
		end
	end